Updating my android g1 phone to cyanogen 4.2.15.1 with Danger SPL

Tonight cyanogen is releasing 5.0.7 of the cyanogenmod. This is a modified ROM for android phones, that will finally allow g1 phone users like myself to run most of the latest android apps on our phones. It will add most of the Android Eclair functionality to older android phones, except for Live Wallpapers, but I didn't really see myself using any live wallpapers anyway.

The one catch is that the new ROM is too big to fit inside the G1's tiny internal memory. The G1 has 64 MB of room for ROMs, and according to Cyanogen no matter how he tried to squeeze the ROM 64 MB was still 4 MB too small. So in order to load the new ROM with the eclair goodies, you need to use an SPL (second program loader), to load the ROM. More info on the Danger SPL.

So in anticipation of tonight's release, I am installing the Danger SPL on my phone. The danger spl how to at cyanogenmod.com says that the pre-requisites are a rooted G1/Dream phone (check) and a compatible radio, with links to the radio images. So I downloaded the radios, but nowhere in the rest of the article did it mention what to do with the radio images. I was worried, but then I realized you just need to have one of the radios currently on your phone or you need to install one of the images I downloaded. After searching the interweb for how to check which radio is installed on your phone, I found this article, which says look in your phone under: Settings->About Phone->Baseband version, the last part of the number is your radio version. In my case its 2.22.19.26I, which is compatible!

So on to updating the ROM!

Add new comment